Tracira
API referenceRules

List rules

GET
/api/rules

Authorization

sessionAuth
better-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/api/rules"
[
  {
    "id": "string",
    "name": "string",
    "type": "keyword_required",
    "description": "string",
    "value": "string",
    "isActive": true,
    "projectId": "string",
    "projectName": "string",
    "taskName": "string",
    "llmJudgeProvider": "anthropic",
    "llmJudgeModel": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  }
]
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}